package backup;
#************************************************************************#
#* LoadeBackup                                                          *#
#* ============================================                         *#
#*                                                                      *#
#* Copyright (c) 2008-2009 by Loreno Edelmondo                          *#
#* http://loadebackup.sourceforge.net                                   *#
#*                                                                      *#
#* This program is free software. You can redistribute it and/or modify *#
#* it under the terms of the GNU General Public License as published by *#
#* the Free Software Foundation; either version 2 of the License.       *#
#************************************************************************#

use strict;
use fs;
use driver;

sub new {
	my ($classe, $lbackup, $lrsy, $fcron, $ncron,$backupdir, $typeconn, $user, $server, $port, $dir_local) = @_;
	my $self = { 
		log_backup => $lbackup,	
		log_backup_rsy => $lrsy, 
		file_cron => $fcron, 
		num_cron => $ncron,
		backupdir => $backupdir,
		type => $typeconn,
		user => $user,
		server => $server,
		port => $port,
		dir_local => $dir_local};
	return bless $self;
}

sub llog {
        my ($self,$messaggio) = @_;	
        my $file = $self->{log_backup};
        open(OUTFILE, ">>$file") or die "Non posso aprire $file: $!";
        my $date = qx{date +%H:%M" "%d-%m-%Y};
        chomp($date);
        print OUTFILE "[" . $date . "]  " . $messaggio . "\n";
        close OUTFILE;
}

sub cron {
	#Stabilisce se il num backup ha completato il ciclo rotate
	#ritorna 0 = non cancella; 1 = cancella
	my ($self) = @_;
	my $ncron = $self->{num_cron};
	my $fcron = $self->{file_cron};
 	my $fs=fs->new();
	if($fs->rsfile($fcron) == $ncron) {
		$fs->wfile($fcron, 0);
		return 1;
	} else {
		$fs->wfile($fcron, $fs->rsfile($fcron)+1);
		return 0;
	}
}

sub initba {
	#Metodo che esegue il backup vero e proprio 
	my ($self,$deldir) = @_;	
	my $driver = driver->new();
	my $type = $self->{type};
	my $user = $self->{user};
	my $server = $self->{server};
	my $port = $self->{port};
	my $dir_local = $self->{dir_local};
	my $backupdir = $self->{backupdir};
	my $backupsynch = $self->{log_backup_rsy};
	if($type eq "ssh") {
		my $str = $driver->ssh($user, $server, $port, $dir_local, $backupdir,$deldir);
		qx{rsync $deldir -avz $str > $backupsynch};
	} 
}

1
