#!/usr/bin/perl

#************************************************************************#
#* LoadeBackup				 	                        *#
#* ============================================                         *#
#*                                                                      *#
#* Copyright (c) 2008-2009 by Loreno Edelmondo                          *#
#* http://loadebackup.sourceforge.net                                    *#
#*                                                                      *#
#* This program is free software. You can redistribute it and/or modify *#
#* it under the terms of the GNU General Public License as published by *#
#* the Free Software Foundation; either version 2 of the License.       *#
#************************************************************************#

use backup;
use driver;

$fs=fs->new();
my $backuplog=$fs->rconf("backuplog");
my $backupsynch=$fs->rconf("backupsynch");
my $filecron=$fs->rconf("filecron");
my $numcron=$fs->rconf("numcron");
my $backupdir=$fs->rconf("backupdir");
my $typeconn=$fs->rconf("typeconn");
my $user=$fs->rconf("user");
my $server=$fs->rconf("server");
my $port=$fs->rconf("port");
my $dir_local=$fs->rconf("dir_local");
my $backup = backup->new($backuplog,
        	$backupsynch,
        	$filecron,
        	$numcron,
		$backupdir,
		$typeconn,
		$user,
		$server,
		$port,
		$dir_local);
my $driver = driver->new();
$backup->llog("Start Backup");
#0 non cancella 1 cancella
if ($backup->cron() == 1) {
	$backup->initba("--delete");	
	$backup->llog("Cancelled the Backup");
} else {
	$backup->initba();
	$backup->llog("Incremental Backup");
}
$backup->llog("Copy file...");
$backup->llog("End Backup");
